Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226436 - Merge Review: statserial
Summary: Merge Review: statserial
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:02 UTC by Nobody's working on this, feel free to take it
Modified: 2012-02-13 14:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-09 12:44:58 UTC
wolfy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:02:06 UTC
Fedora Merge Review: statserial

http://cvs.fedora.redhat.com/viewcvs/devel/statserial/
Initial Owner: twaugh@redhat.com

Comment 1 manuel wolfshant 2007-02-08 21:43:31 UTC
- there is no URL tag; please provide one if possible
- Package is marked as relocatable; since is a no-no (unless properly documented
and justified), PREFIX should disappear
- BuildRoot does not have the preferred value
- Release tag should include %{dist}
- %build does not honor $RPM_OPT_FLAGS
- %build should use SMP flags. If it doesn't work, please add a comment
- the dot at the end of Summary should be removed
- the tar.gz includes the GPL v2 license, but the package claims license to be BSD; 
- the license file (COPYING) should be included in the binary rpm
- I suggest including the provided phone_log script as %doc




Comment 2 Tim Waugh 2007-02-09 11:09:16 UTC
Thanks!  Tagged and built as 1.1-39.fc7.

Comment 3 manuel wolfshant 2007-02-09 12:23:09 UTC
Formal review for release 39:

MUST
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, sha1sum 3ace36585c82238003b37f267263f06aad4f0afd 
statserial-1.1.tar.gz
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of foreign
files/folders
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- no static, .la, .pc files
- rpmlint is silent on src.rpm; for the binary the following warnings are generated:
W: statserial spurious-executable-perm /usr/share/doc/statserial-1.1/phone_log
W: statserial doc-file-dependency /usr/share/doc/statserial-1.1/phone_log /bin/bash
Since phone_log IS a bash script and bash is supposed to be already installed
anyway, no additional packages are actually pulled so I guess both warnings can
safely be ignored.

SHOULD
- Builds fine in mock for FC6 and devel (x86_64)
- Runs as advertised on FC6/x86_64

Notes:
I have no access to 390 so I can only assume that the hardware being different,
the ExcludeArch is justified.


APPROVED

Comment 4 Tim Waugh 2007-02-09 12:44:58 UTC
Thanks!

Comment 5 Dmitry Butskoy 2012-02-13 12:00:29 UTC
Package Change Request
======================
Package Name: statserial
New Branches: el6
Owners: buc

Comment 6 Gwyn Ciesla 2012-02-13 14:48:49 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.